ChangeSet 1.1318.4.2, 2003/06/16 14:52:47-07:00, greg@kroah.com

[PATCH] USB: fixed up some __user warnings reported by sparse in drivers/usb/net/*


 drivers/usb/net/catc.c    |    4 ++--
 drivers/usb/net/kaweth.c  |    4 ++--
 drivers/usb/net/pegasus.c |    6 +++---
 drivers/usb/net/rtl8150.c |    4 ++--
 drivers/usb/net/usbnet.c  |    4 ++--
 5 files changed, 11 insertions(+), 11 deletions(-)


diff -Nru a/drivers/usb/net/catc.c b/drivers/usb/net/catc.c
--- a/drivers/usb/net/catc.c	Wed Jun 18 11:15:31 2003
+++ b/drivers/usb/net/catc.c	Wed Jun 18 11:15:31 2003
@@ -667,7 +667,7 @@
 /*
  * ioctl's
  */
-static int netdev_ethtool_ioctl(struct net_device *dev, void *useraddr)
+static int netdev_ethtool_ioctl(struct net_device *dev, void __user *useraddr)
 {
         struct catc *catc = dev->priv;
         u32 cmd;
@@ -726,7 +726,7 @@
 {
         switch(cmd) {
         case SIOCETHTOOL:
-                return netdev_ethtool_ioctl(dev, (void *) rq->ifr_data);
+                return netdev_ethtool_ioctl(dev, (void __user *)rq->ifr_data);
         default:
                 return -EOPNOTSUPP;
         }
diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	Wed Jun 18 11:15:32 2003
+++ b/drivers/usb/net/kaweth.c	Wed Jun 18 11:15:32 2003
@@ -662,7 +662,7 @@
 	return 0;
 }
 
-static int netdev_ethtool_ioctl(struct net_device *dev, void *useraddr)
+static int netdev_ethtool_ioctl(struct net_device *dev, void __user *useraddr)
 {
 	u32 ethcmd;
 	
@@ -689,7 +689,7 @@
 {
 	switch (cmd) {
 	case SIOCETHTOOL:
-		return netdev_ethtool_ioctl(net, (void *) rq->ifr_data);
+		return netdev_ethtool_ioctl(net, (void __user *)rq->ifr_data);
 	}
 	return -EOPNOTSUPP;
 }
diff -Nru a/drivers/usb/net/pegasus.c b/drivers/usb/net/pegasus.c
--- a/drivers/usb/net/pegasus.c	Wed Jun 18 11:15:32 2003
+++ b/drivers/usb/net/pegasus.c	Wed Jun 18 11:15:32 2003
@@ -945,7 +945,7 @@
 	return 0;
 }
 #ifdef	CONFIG_MII
-static int pegasus_ethtool_ioctl(struct net_device *dev, void *useraddr)
+static int pegasus_ethtool_ioctl(struct net_device *dev, void __user *useraddr)
 {
 
 	u32 ethcmd;
@@ -1024,7 +1024,7 @@
 
 }
 #else
-static int pegasus_ethtool_ioctl(struct net_device *net, void *uaddr)
+static int pegasus_ethtool_ioctl(struct net_device *net, void __user *uaddr)
 {
 	pegasus_t *pegasus;
 	int cmd;
@@ -1113,7 +1113,7 @@
 
 	switch (cmd) {
 	case SIOCETHTOOL:
-		res = pegasus_ethtool_ioctl(net, rq->ifr_data);
+		res = pegasus_ethtool_ioctl(net, (void __user *)rq->ifr_data);
 		break;
 	case SIOCDEVPRIVATE:
 		data[0] = pegasus->phy;
diff -Nru a/drivers/usb/net/rtl8150.c b/drivers/usb/net/rtl8150.c
--- a/drivers/usb/net/rtl8150.c	Wed Jun 18 11:15:32 2003
+++ b/drivers/usb/net/rtl8150.c	Wed Jun 18 11:15:32 2003
@@ -673,7 +673,7 @@
 	return res;
 }
 
-static int rtl8150_ethtool_ioctl(struct net_device *netdev, void *uaddr)
+static int rtl8150_ethtool_ioctl(struct net_device *netdev, void __user *uaddr)
 {
 	rtl8150_t *dev;
 	int cmd;
@@ -758,7 +758,7 @@
 
 	switch (cmd) {
 	case SIOCETHTOOL:
-		res = rtl8150_ethtool_ioctl(netdev, rq->ifr_data);
+		res = rtl8150_ethtool_ioctl(netdev, (void __user *)rq->ifr_data);
 		break;
 	case SIOCDEVPRIVATE:
 		data[0] = dev->phy;
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Wed Jun 18 11:15:31 2003
+++ b/drivers/usb/net/usbnet.c	Wed Jun 18 11:15:32 2003
@@ -2097,7 +2097,7 @@
 /*-------------------------------------------------------------------------*/
 
 static inline int
-usbnet_ethtool_ioctl (struct net_device *net, void *useraddr)
+usbnet_ethtool_ioctl (struct net_device *net, void __user *useraddr)
 {
 	struct usbnet	*dev = (struct usbnet *) net->priv;
 	u32		cmd;
@@ -2161,7 +2161,7 @@
 {
 	switch (cmd) {
 	case SIOCETHTOOL:
-		return usbnet_ethtool_ioctl (net, (void *)rq->ifr_data);
+		return usbnet_ethtool_ioctl (net, (void __user *)rq->ifr_data);
 	default:
 		return -EOPNOTSUPP;
 	}
